---

- hosts: kube-master
  vars:
    base_dir: "{{ inventory_dir }}/.."
  tasks:
    - name: "import {{ property_file }}"
      ansible.builtin.include_role:
        name: orange.infra.include_vars
      vars:
        property_file: pdf.yml
    - name: "import {{ property_file }}"
      ansible.builtin.include_role:
        name: orange.infra.include_vars
      vars:
        property_file: idf.yml
        ansible_python_interpreter: auto

    - name: "import {{ property_file }}"
      ansible.builtin.include_role:
        name: orange.infra.include_vars
      vars:
        property_file: user_cloud.yml

    - name: "import {{ property_file }}"
      ansible.builtin.include_role:
        name: orange.infra.include_vars
      vars:
        property_file: project_infos.yml

    - name: install required external requirements
      ansible.builtin.import_role:
        name: orange.rke2.external_requirements

- hosts: kube-master
  vars:
    ansible_python_interpreter: "{{ pyvenv }}"
  pre_tasks:
    - name: get pyvenv path in virtualenv
      ansible.builtin.setup:
        gather_subset:
          - min
      vars:
        ansible_python_interpreter: auto
  tasks:
    - name: postconfigure
      ansible.builtin.import_role:
        name: orange.rke2.postconfigure
